curl --request GET \
--url {{BASE_URL}}/v2/user/{user_id}/insurance/latest \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
{
"payor_code": "UNITE",
"member_id": "test",
"group_id": "123",
"relationship": "Self",
"insured": {
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
}
User Management
Get latest insurance
Retrieve user insurance latest via the Junction API. Requires authentication with your team API key.
GET
/
v2
/
user
/
{user_id}
/
insurance
/
latest
curl --request GET \
--url {{BASE_URL}}/v2/user/{user_id}/insurance/latest \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
{
"payor_code": "UNITE",
"member_id": "test",
"group_id": "123",
"relationship": "Self",
"insured": {
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
}
This feature is in closed beta.Interested in this feature? Get in touch with your Customer Success Manager.
curl --request GET \
--url {{BASE_URL}}/v2/user/{user_id}/insurance/latest \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
{
"payor_code": "UNITE",
"member_id": "test",
"group_id": "123",
"relationship": "Self",
"insured": {
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
}
Authorizations
Vital Team API Key
Path Parameters
Query Parameters
Response
Successful Response
ℹ️ This enum is non-exhaustive.
Available options:
Self, Spouse, Other Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?